textarea {
  min-height: 200px;
}

select
{
  &.form__el {
    appearance: none;
    padding-right: 0.5em;
    background: url("./assets/arrow.svg") no-repeat right center;
    background-size: 18px;
    background-origin: content-box;
  }
  @include media-breakpoint-down(sm) {
    &.layout__item {
      margin-bottom: 1em;
    }
  }
}


::-ms-expand {
  display: none;
}

[type="checkbox"] {
  position: absolute;
  overflow: hidden;
  clip: rect(0 0 0 0);
  height: 1px;
  width: 1px;
  margin: -1px;
  padding: 0;
  border: 0;
}

.form__row > .layout__item {
  margin-bottom: 1em;
  @include media-breakpoint-up(md) {
      margin-right: 1em;
  }
}

.form__el {
  display: block;
  width: 100%;
  padding-left: 0.5em;
  color: $neutral-color;
  border: 1px solid;
  transition: box-shadow 0.3s, border-color 0.3s;

  &:focus {
    outline: 0;
    box-shadow: inset 0 -2px 0 $neutral-color;
  }

  &:not(textarea) {
    line-height: 2.5;
    height: 2.5em;
  }

  &.invalid {
    border-color: $error-color !important;
  }
}

.error {
  border-color: #ff0 !important;
}

.form__reponse {
  opacity: 0;
  position: absolute;
  text-align: center;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.checkbox::before {
  content: "";
  width: 2em;
  height: 2em;
  border: 1px solid $neutral-color;
  margin-right: 1em;
  display: inline-block;
  vertical-align: middle;
  background: url("./assets/flag.svg") no-repeat center center;
  background-size: 0;
  transition: background-size 0.2s cubic-bezier(1, 0, 0, 1);
}

:checked + .checkbox::before {
  background-size: 80%;
}

.mb {
  margin-bottom: 1em;
}
@include media-breakpoint-up(md) {
  .mh {
    margin-right: 1em;
    margin-left: 1em;
  }
}
